Page MenuHomePhabricator

Buttons in toolbars should all be frameless
Closed, ResolvedPublic

Description

Frameless always have white backgrounds, even if primary

Event Timeline

Esanders created this task.Jun 22 2015, 6:56 PM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a project: OOUI.
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2015, 6:56 PM

Change 222093 had a related patch set uploaded (by Esanders):
Add support for frameless primary buttons in MW

https://gerrit.wikimedia.org/r/222093

Change 222093 merged by jenkins-bot:
MediaWiki theme: Add support for frameless primary buttons

https://gerrit.wikimedia.org/r/222093

Jdforrester-WMF closed this task as Resolved.Jul 1 2015, 10:46 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Jul 2 2015, 11:04 PM
matmarex reopened this task as Open.EditedJul 3 2015, 10:52 AM
matmarex added a subscriber: matmarex.

While I agree with T101165, I think introducing "primary frameless" buttons is the wrong way to solve it. We should just make regular framed buttons in toolbars look "frameless". Or even better, stop using ButtonWidgets there and just make this a Tool with some custom CSS.

matmarex renamed this task from Need primary frameless buttons to Buttons in toolbars should all be frameless.Jul 3 2015, 10:53 AM

Change 222570 had a related patch set uploaded (by Bartosz Dziewoński):
MediaWiki theme: Remove support for frameless primary buttons

https://gerrit.wikimedia.org/r/222570

matmarex closed this task as Declined.Jul 3 2015, 12:26 PM
matmarex claimed this task.
matmarex removed a project: Patch-For-Review.

Change 222570 merged by jenkins-bot:
MediaWiki theme: Remove support for frameless primary buttons

https://gerrit.wikimedia.org/r/222570

Change 223300 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Make toolbar save button frameless"

https://gerrit.wikimedia.org/r/223300

Change 223300 merged by jenkins-bot:
Revert "Make toolbar save button frameless"

https://gerrit.wikimedia.org/r/223300

Jdforrester-WMF changed the task status from Declined to Resolved.Jul 8 2015, 3:48 PM